# List

Launch stage: Public Preview

`GET /api/2.1/accounts/{account_id}/budgets`

Gets all budgets associated with this account.

API scopes: billing

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID.
  **AWS:** <Databricks> account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html).

## Query parameters

- `page_token` (string, optional)
  A page token received from a previous get all budget configurations call. This token can be used to retrieve the subsequent page.
   Requests first page if absent.
- `include_spend_status` (boolean, optional)
- `include_workspace_budgets` (boolean, optional)

## Returns

Returns a list of BudgetConfiguration objects.

## Response

```json
{
  "budgets": [
    {
      "budget_configuration_id": "string",
      "account_id": "string",
      "create_time": 0,
      "update_time": 0,
      "alert_configurations": [
        {}
      ],
      "filter": {},
      "display_name": "string",
      "resource_type": "string"
    }
  ],
  "next_page_token": "string"
}
```

